package classinfo;

import java.util.Vector;


public class ConstantPoolReference {
  private int CPIndex;
  private Vector constantPool;

  public ConstantPoolReference(int index, Vector constantPool) {
    this.CPIndex = index;
    this.constantPool = constantPool;
  }

  public int index() { return CPIndex; }
  public int index(int newIndex) {
    int old = CPIndex;
    CPIndex = newIndex;
    return old;
  }

  public String toString() {
    return "#" + String.valueOf(CPIndex) + " {" +
		((ConstantInPool)constantPool.elementAt(CPIndex)).value() +
		"}";
  }
}
